﻿using System;
using System.Web;
using System.Configuration;
using System.Web.Configuration;
using System.Net.Configuration;
using System.Net.Mail;

namespace SMTP_Sample
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Configuration config = WebConfigurationManager.OpenWebConfiguration(HttpContext.Current.Request.ApplicationPath);
                MailSettingsSectionGroup settings = (MailSettingsSectionGroup)config.GetSectionGroup("system.net/mailSettings");

                txtBody.Text = "SMTP 主機: " + settings.Smtp.Network.Host + "\r\n";
                txtBody.Text += "SMTP 埠號: " + settings.Smtp.Network.Port + "\r\n";
                txtBody.Text += "SMTP 帳號: " + settings.Smtp.Network.UserName + "\r\n";
                txtBody.Text += "SMTP 密碼: " + settings.Smtp.Network.Password + "\r\n";
                txtBody.Text += "預設寄件者:" + settings.Smtp.From + "\r\n";

                txtFrom.Text = settings.Smtp.From;
            }
        }

        protected void btnSend_Click(object sender, EventArgs e)
        {
            MailMessage msg = new MailMessage();

            msg.From = new MailAddress(txtFrom.Text);
            msg.To.Add(new MailAddress(txtTo.Text));
            
            msg.Subject = "Test Mail from " + txtFrom.Text;

            msg.Body = txtBody.Text;

            msg.IsBodyHtml = false;

            SmtpClient smtp = new SmtpClient();

            try
            {
                smtp.Send(msg);
                lblResult.Text = "發送成功";
            }
            catch (Exception ex)
            {
                lblResult.Text = "發送失敗：" + ex.Message;
            }
        }
    }
}